Open Rlhf Round
curl --request POST \
--url https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/rounds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkpoint_key": "<string>",
"round_index": 1,
"min_decisive_pairs_per_axis": 2,
"parent_round_id": "<string>"
}
'import requests
url = "https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/rounds"
payload = {
"checkpoint_key": "<string>",
"round_index": 1,
"min_decisive_pairs_per_axis": 2,
"parent_round_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checkpoint_key: '<string>',
round_index: 1,
min_decisive_pairs_per_axis: 2,
parent_round_id: '<string>'
})
};
fetch('https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/rounds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"round_index": 123,
"state": "<string>",
"checkpoint_candidate_id": "<string>",
"checkpoint_key": "<string>",
"error": "<string>",
"opened_at": "<string>",
"parent_round_id": "<string>",
"trainable_at": "<string>",
"trainable_thresholds": {},
"trained_at": "<string>",
"training_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}RLHF
Open Rlhf Round
Open a round after its cohort was uploaded (checkpoint = the candidate the cohort used).
POST
/
v1
/
rlhf
/
experiments
/
{experiment_id}
/
rounds
Open Rlhf Round
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Trainer opens a round after uploading that round's cohort.
The checkpoint is identified by the candidate_key the cohort was uploaded under (the candidate is auto-created on upload).
Response
Successful Response
One round of the loop: the checkpoint that generated its cohort + state.

